<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.2.3.4
Name: Arznei Entry
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.2.3.4-2013-09-09T000000">
   <title>Arznei Entry</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]
Item: (ArzneiEntry)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]"
         id="tmp-r-269234-923036-907663-151366">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="string(@classCode)='MANU'">(ArzneiEntry): Der Wert von @classCode MUSS 'MANU' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2'])&gt;=1 ">(ArzneiEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2'])&lt;=1">(ArzneiEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.53'])&gt;=1 ">(ArzneiEntry): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.53'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.10.20.1.53'])&lt;=1">(ArzneiEntry): Element hl7:templateId[@root='2.16.840.1.113883.10.20.1.53'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']])&gt;=1 and not(hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/@nullFlavor)">(ArzneiEntry): Element hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']])&lt;=1">(ArzneiEntry): Element hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2']
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2']"
         id="tmp-r-448224-563807-681678-911391">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.4.7.2'">(ArzneiEntry): @root MUSS den Wert '1.3.6.1.4.1.19376.1.5.3.1.4.7.2' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:templateId[@root='2.16.840.1.113883.10.20.1.53']
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:templateId[@root='2.16.840.1.113883.10.20.1.53']"
         id="tmp-r-221183-900182-486746-737621">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="string(@root)='2.16.840.1.113883.10.20.1.53'">(ArzneiEntry): @root MUSS den Wert '2.16.840.1.113883.10.20.1.53' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]"
         id="tmp-r-812030-363311-486819-837075">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="string(@classCode)='MMAT'">(ArzneiEntry): Der Wert von @classCode MUSS 'MMAT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="string(@determinerCode)='KIND'">(ArzneiEntry): Der Wert von @determinerCode MUSS 'KIND' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="hl7:code/@nullFlavor or (hl7:code/@code and count(pharm:asContent)&gt;0)">(ArzneiEntry): pharm:asContent Komponente zur Aufnahme der Packungsangaben ist mandatory wenn PZN vorhanden </assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.3.4'])&gt;=1 ">(ArzneiEntry): Element hl7:templateId[@root='1.2.40.0.34.11.2.3.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.2.3.4'])&lt;=1">(ArzneiEntry): Element hl7:templateId[@root='1.2.40.0.34.11.2.3.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'])&gt;=1 ">(ArzneiEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'])&lt;=1">(ArzneiEntry): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5'])&gt;=1 ">(ArzneiEntry): Element hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5'])&lt;=1">(ArzneiEntry): Element hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(ArzneiEntry): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:name)&lt;=1">(ArzneiEntry): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:asContent)&lt;=1">(ArzneiEntry): Element pharm:asContent kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:templateId[@root='1.2.40.0.34.11.2.3.4']
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:templateId[@root='1.2.40.0.34.11.2.3.4']"
         id="tmp-r-667034-274857-723223-901648">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="string(@root)='1.2.40.0.34.11.2.3.4'">(ArzneiEntry): @root MUSS den Wert '1.2.40.0.34.11.2.3.4' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.3.1']"
         id="tmp-r-745906-992568-858497-938755">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.9.1.3.1'">(ArzneiEntry): @root MUSS den Wert '1.3.6.1.4.1.19376.1.9.1.3.1' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5']
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5']"
         id="tmp-r-817779-573996-949697-885940">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="@nullFlavor or (@codeSystem='1.2.40.0.10.1.4.3.5')">(ArzneiEntry): Der Elementinhalt MUSS sein codeSystem '1.2.40.0.10.1.4.3.5'.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:originalText)&gt;=1 ">(ArzneiEntry): Element hl7:originalText ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:originalText)&lt;=1">(ArzneiEntry): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5']/hl7:originalText
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5']/hl7:originalText"
         id="tmp-r-489138-285073-870404-967332">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5']/hl7:translation
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:code[@codeSystem='1.2.40.0.10.1.4.3.5']/hl7:translation"
         id="tmp-r-108501-467805-689505-285233">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:name
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/hl7:name"
         id="tmp-r-777625-194824-414177-757832">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent"
         id="tmp-r-247420-682052-126257-951909">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="string(@classCode)='CONT'">(ArzneiEntry): Der Wert von @classCode MUSS 'CONT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:containerPackagedMedicine)&gt;=1 and not(pharm:containerPackagedMedicine/@nullFlavor)">(ArzneiEntry): Element pharm:containerPackagedMedicine ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:containerPackagedMedicine)&lt;=1">(ArzneiEntry): Element pharm:containerPackagedMedicine kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine"
         id="tmp-r-917492-193633-673701-617798">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="string(@classCode)='CONT'">(ArzneiEntry): Der Wert von @classCode MUSS 'CONT' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="string(@determinerCode)='INSTANCE'">(ArzneiEntry): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5'])&gt;=1 and not(pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5']/@nullFlavor)">(ArzneiEntry): Element pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5'])&lt;=1">(ArzneiEntry): Element pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:name)&gt;=1 and not(pharm:name/@nullFlavor)">(ArzneiEntry): Element pharm:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:name)&lt;=1">(ArzneiEntry): Element pharm:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:capacityQuantity)&gt;=1 and not(pharm:capacityQuantity/@nullFlavor)">(ArzneiEntry): Element pharm:capacityQuantity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:capacityQuantity)&lt;=1">(ArzneiEntry): Element pharm:capacityQuantity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5']
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5']"
         id="tmp-r-242445-874080-646928-705319">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="@nullFlavor or (@codeSystem='1.2.40.0.10.1.4.3.5')">(ArzneiEntry): Der Elementinhalt MUSS sein codeSystem '1.2.40.0.10.1.4.3.5'.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:originalText)&lt;=1">(ArzneiEntry): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5']/hl7:originalText
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:code[@codeSystem='1.2.40.0.10.1.4.3.5']/hl7:originalText"
         id="tmp-r-983454-615094-822846-865535">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:name
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:name"
         id="tmp-r-805387-507349-220155-495659">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:capacityQuantity
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:asContent/pharm:containerPackagedMedicine/pharm:capacityQuantity"
         id="tmp-r-427709-605674-925670-284076">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="$digitok or @nullFlavor">(ArzneiEntry): @value ist keine gültige PQ Zahl <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(ArzneiEntry): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient"
         id="tmp-r-674086-384385-333543-113190">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="string(@classCode)='ACTI'">(ArzneiEntry): Der Wert von @classCode MUSS 'ACTI' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:quantity)&gt;=1 ">(ArzneiEntry): Element pharm:quantity ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:quantity)&lt;=1">(ArzneiEntry): Element pharm:quantity kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:ingredient)&gt;=1 and not(pharm:ingredient/@nullFlavor)">(ArzneiEntry): Element pharm:ingredient ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:ingredient)&lt;=1">(ArzneiEntry): Element pharm:ingredient kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:quantity
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:quantity"
         id="tmp-r-846396-830204-986174-865534">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:numerator)&gt;=1 ">(ArzneiEntry): Element hl7:numerator ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:numerator)&lt;=1">(ArzneiEntry): Element hl7:numerator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:denominator)&gt;=1 ">(ArzneiEntry): Element hl7:denominator ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:denominator)&lt;=1">(ArzneiEntry): Element hl7:denominator kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:quantity/hl7:numerator
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:quantity/hl7:numerator"
         id="tmp-r-742510-783066-656334-555627">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="$digitok or @nullFlavor">(ArzneiEntry): @value ist keine gültige PQ Zahl <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(ArzneiEntry): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:quantity/hl7:denominator
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:quantity/hl7:denominator"
         id="tmp-r-554672-439853-463164-451538">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PQ" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="$digitok or @nullFlavor">(ArzneiEntry): @value ist keine gültige PQ Zahl <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(ArzneiEntry): value/@unit (PQ) MUSS eine gültige UCUM-Einheit sein (<value-of select="$UCUMtest"/>).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient"
         id="tmp-r-663938-390326-796057-846875">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:code[@codeSystem='2.16.840.1.113883.6.73'])&gt;=1 ">(ArzneiEntry): Element pharm:code[@codeSystem='2.16.840.1.113883.6.73'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:code[@codeSystem='2.16.840.1.113883.6.73'])&lt;=1">(ArzneiEntry): Element pharm:code[@codeSystem='2.16.840.1.113883.6.73'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:name)&gt;=1 and not(pharm:name/@nullFlavor)">(ArzneiEntry): Element pharm:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(pharm:name)&lt;=1">(ArzneiEntry): Element pharm:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.6.73']
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.6.73']"
         id="tmp-r-481001-760203-807519-768826">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.73')">(ArzneiEntry): Der Elementinhalt MUSS sein codeSystem '2.16.840.1.113883.6.73'.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="count(hl7:originalText)&lt;=1">(ArzneiEntry): Element hl7:originalText kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.6.73']/hl7:originalText
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.6.73']/hl7:originalText"
         id="tmp-r-536405-723793-835981-377343">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ED' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ED" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.6.73']/hl7:translation
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/pharm:code[@codeSystem='2.16.840.1.113883.6.73']/hl7:translation"
         id="tmp-r-426510-152362-839754-763934">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.2.3.4
Context: *[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/pharm:name
Item: (ArzneiEntry)
-->

<rule context="*[hl7:manufacturedProduct[hl7:templateId/@root='1.2.40.0.34.11.2.3.4']]/hl7:manufacturedProduct[hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.4.7.2' or @root='2.16.840.1.113883.10.20.1.53']]/hl7:manufacturedMaterial[hl7:templateId[@root='1.2.40.0.34.11.2.3.4' or @root='1.3.6.1.4.1.19376.1.9.1.3.1']]/pharm:ingredient/pharm:ingredient/pharm:name"
         id="tmp-r-905622-886143-478262-553334">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.2.3.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='EN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(ArzneiEntry): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:EN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="EN"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
