<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.40.0.34.11.4
Name: Laborbefund
Description: Template Spezieller Implementierungsleitfaden ELGA Laborbefund
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.40.0.34.11.4-2013-09-09T000000">
   <title>Laborbefund</title>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']"
         id="tmp-r-866018-971300-259666-987903">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&gt;=1 ">(Laborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.4'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.2.40.0.34.11.4'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.2.40.0.34.11.4'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(Laborbefund): Element hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Laborbefund): Element hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Laborbefund): Element hl7:title ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:title)&lt;=1">(Laborbefund): Element hl7:title kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:legalAuthenticator)&gt;=1 ">(Laborbefund): Element hl7:legalAuthenticator ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:legalAuthenticator)&lt;=1">(Laborbefund): Element hl7:legalAuthenticator kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6'])&gt;=1 ">(Laborbefund): Element hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6'] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6'])&lt;=1">(Laborbefund): Element hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.2.40.0.34.11.1.1.2'])=0">(Laborbefund): Element hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.2.40.0.34.11.1.1.2'] DARF NICHT vorkommen.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]])&gt;=1 and not(hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/@nullFlavor)">(Laborbefund): Element hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:componentOf)=0">(Laborbefund): Element hl7:componentOf DARF NICHT vorkommen.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:templateId[@root='1.2.40.0.34.11.4']
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:templateId[@root='1.2.40.0.34.11.4']"
         id="tmp-r-665021-159252-844576-329431">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="string(@root)='1.2.40.0.34.11.4'">(Laborbefund): @root MUSS den Wert '1.2.40.0.34.11.4' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:code[(@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-483299-760561-977399-845709">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="@nullFlavor or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='LABORATORY REPORT.TOTAL')">(Laborbefund): Der Elementinhalt MUSS sein code '11502-2' codeSystem '2.16.840.1.113883.6.1' displayName='LABORATORY REPORT.TOTAL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:title
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:title"
         id="tmp-r-577499-346805-521855-230126">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator"
         id="tmp-r-324449-990133-427427-436276">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:time)&gt;=1 ">(Laborbefund): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:time)&lt;=1">(Laborbefund): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:signatureCode[@code='S'])&gt;=1 and not(hl7:signatureCode[@code='S']/@nullFlavor)">(Laborbefund): Element hl7:signatureCode[@code='S'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:signatureCode[@code='S'])&lt;=1">(Laborbefund): Element hl7:signatureCode[@code='S'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:assignedEntity)&gt;=1 and not(hl7:assignedEntity/@nullFlavor)">(Laborbefund): Element hl7:assignedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:assignedEntity)&lt;=1">(Laborbefund): Element hl7:assignedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.5']"
         id="tmp-r-784271-651491-885952-910991">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.3.1.5'">(Laborbefund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.5' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:time
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:time"
         id="tmp-r-244439-850362-131233-788920">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:signatureCode[@code='S']
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:signatureCode[@code='S']"
         id="tmp-r-225990-767059-795626-816095">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="@nullFlavor or (@code='S')">(Laborbefund): Der Elementinhalt MUSS sein code 'S'.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity"
         id="tmp-r-170459-946829-532822-718105">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:id)&gt;=1 ">(Laborbefund): Element hl7:id ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:addr)&gt;=1 ">(Laborbefund): Element hl7:addr ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:addr)&lt;=1">(Laborbefund): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:telecom)&gt;=1 ">(Laborbefund): Element hl7:telecom ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:assignedPerson)&gt;=1 and not(hl7:assignedPerson/@nullFlavor)">(Laborbefund): Element hl7:assignedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(Laborbefund): Element hl7:assignedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(Laborbefund): Element hl7:representedOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:id
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:id"
         id="tmp-r-868241-714926-578380-860832">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:addr
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:addr"
         id="tmp-r-938389-177747-426625-333575">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:telecom
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:telecom"
         id="tmp-r-341147-458611-362182-987630">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-r-685951-900131-487457-121393">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(Laborbefund): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(Laborbefund): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(Laborbefund): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:name)&lt;=1">(Laborbefund): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-r-714472-518268-781817-844037">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization"
         id="tmp-r-841137-828066-128764-293824">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(Laborbefund): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(Laborbefund): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(Laborbefund): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:name)&lt;=1">(Laborbefund): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:addr)&lt;=1">(Laborbefund): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:id"
         id="tmp-r-744768-206529-356872-608946">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:name"
         id="tmp-r-496815-991217-530220-998097">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-818860-299297-149385-220323">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:authenticator/hl7:assignedEntity/hl7:representedOrganization/hl7:addr"
         id="tmp-r-653524-500064-218069-220361">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:legalAuthenticator
Item: (Laborbefund)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']"
         id="tmp-r-965688-912778-186291-946078">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="string(@typeCode)='REF'">(Laborbefund): Der Wert von @typeCode MUSS 'REF' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:time)&gt;=1 ">(Laborbefund): Element hl7:time ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:time)&lt;=1">(Laborbefund): Element hl7:time kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:associatedEntity)&gt;=1 and not(hl7:associatedEntity/@nullFlavor)">(Laborbefund): Element hl7:associatedEntity ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:associatedEntity)&lt;=1">(Laborbefund): Element hl7:associatedEntity kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:time
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:time"
         id="tmp-r-957337-439116-153990-151501">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity"
         id="tmp-r-713202-843566-627672-510205">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="string(@classCode)='PROV'">(Laborbefund): Der Wert von @classCode MUSS 'PROV' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(Laborbefund): Element hl7:id ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:id)&lt;=1">(Laborbefund): Element hl7:id kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:addr)&gt;=1 ">(Laborbefund): Element hl7:addr ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:addr)&lt;=1">(Laborbefund): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:telecom)&gt;=1 and not(hl7:telecom/@nullFlavor)">(Laborbefund): Element hl7:telecom ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:associatedPerson)&gt;=1 and not(hl7:associatedPerson/@nullFlavor)">(Laborbefund): Element hl7:associatedPerson ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:associatedPerson)&lt;=1">(Laborbefund): Element hl7:associatedPerson kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:scopingOrganization)&lt;=1">(Laborbefund): Element hl7:scopingOrganization kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6']
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.6']"
         id="tmp-r-743014-776933-269148-295686">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.3.1.6'">(Laborbefund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.6' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:id
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:id"
         id="tmp-r-513680-481607-733049-441477">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:addr
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:addr"
         id="tmp-r-440129-902617-857618-595403">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:telecom
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:telecom"
         id="tmp-r-611977-508204-545517-847162">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:associatedPerson
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:associatedPerson"
         id="tmp-r-386282-596110-249208-510151">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(Laborbefund): Der Wert von @classCode MUSS 'PSN' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(Laborbefund): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(Laborbefund): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:name)&lt;=1">(Laborbefund): Element hl7:name kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:associatedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:associatedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:associatedPerson
Item: (PersonElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90001
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:associatedPerson/hl7:name
Item: (PersonElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:associatedPerson/hl7:name"
         id="tmp-r-759218-189713-980152-487868">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.90001-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:PN" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:scopingOrganization
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:scopingOrganization"
         id="tmp-r-831990-159024-313276-853197">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(Laborbefund): Der Wert von @classCode MUSS 'ORG' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(Laborbefund): Der Wert von @determinerCode MUSS 'INSTANCE' sein.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(Laborbefund): Element hl7:name ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:name)&lt;=1">(Laborbefund): Element hl7:name kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:addr)&lt;=1">(Laborbefund): Element hl7:addr kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:scopingOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:scopingOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:scopingOrganization
Item: (OrganizationElements)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:scopingOrganization/hl7:id"
         id="tmp-r-342169-408524-663311-198415">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:scopingOrganization/hl7:name"
         id="tmp-r-788407-435690-387906-457392">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ON" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:scopingOrganization/hl7:telecom"
         id="tmp-r-781931-788414-983100-439370">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TEL" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL.AT"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.90002
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr
Item: (OrganizationElements)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.3.6.1.4.1.19376.1.3.3.1.6']/hl7:associatedEntity/hl7:scopingOrganization/hl7:addr"
         id="tmp-r-436652-816709-474520-779150">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.90002-2011-12-19T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:AD" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:participant[@typeCode='REF'][hl7:templateId/@root='1.2.40.0.34.11.1.1.2']
Item: (Laborbefund)
-->

<!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]"
         id="tmp-r-278145-895917-946401-451464">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]])&gt;=1 and not(hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]/@nullFlavor)">(Laborbefund): Element hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]])&lt;=1">(Laborbefund): Element hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent"
         id="tmp-r-377313-589508-607817-464444">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 ">(Laborbefund): Element hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')] ist required [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(Laborbefund): Element hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(Laborbefund): Element hl7:effectiveTime ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Laborbefund): Element hl7:effectiveTime kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-991262-835966-807834-259716">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-1.2.40.0.34.10.22-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Laborbefund): Der Wert von @code MUSS gewählt werden aus dem Value Set ELGA_ServiceEventsLabor (DYNAMIC). NOTE: codeSystemVersion SHALL match exactly if specified in the value set.</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Laborbefund): Der fehlende Wert für @code MUSS gewählt werden aus dem Set gültiger null flavors für dieses Attribut oder denen assoziiert mit Value Set ELGA_ServiceEventsLabor (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:effectiveTime
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:effectiveTime"
         id="tmp-r-554821-365532-930346-259064">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:IVL_TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(Laborbefund): Element hl7:low ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:low)&lt;=1">(Laborbefund): Element hl7:low kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:high)&gt;=1 and not(hl7:high/@nullFlavor)">(Laborbefund): Element hl7:high ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:high)&lt;=1">(Laborbefund): Element hl7:high kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:effectiveTime/hl7:low
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:effectiveTime/hl7:low"
         id="tmp-r-447357-770529-944032-273253">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:effectiveTime/hl7:high
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:effectiveTime/hl7:high"
         id="tmp-r-659998-664655-293591-216438">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Laborbefund): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:TS" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]"
         id="tmp-r-751446-903785-628885-741334">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']/@nullFlavor)">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'])&lt;=1">(Laborbefund): Element hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7'] kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:templateId
Item: (Laborbefund)
-->

<rule context="*[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:documentationOf[hl7:serviceEvent[hl7:code[(@code='1' and @codeSystem='1.2.40.0.34.5.11') or (@code='100' and @codeSystem='1.2.40.0.34.5.11') or (@code='200' and @codeSystem='1.2.40.0.34.5.11') or (@code='300' and @codeSystem='1.2.40.0.34.5.11') or (@code='400' and @codeSystem='1.2.40.0.34.5.11') or (@code='500' and @codeSystem='1.2.40.0.34.5.11') or (@code='600' and @codeSystem='1.2.40.0.34.5.11') or (@code='700' and @codeSystem='1.2.40.0.34.5.11') or (@code='800' and @codeSystem='1.2.40.0.34.5.11') or (@code='900' and @codeSystem='1.2.40.0.34.5.11') or (@code='1000' and @codeSystem='1.2.40.0.34.5.11') or (@code='1100' and @codeSystem='1.2.40.0.34.5.11') or (@code='1200' and @codeSystem='1.2.40.0.34.5.11') or (@code='1300' and @codeSystem='1.2.40.0.34.5.11') or (@code='1400' and @codeSystem='1.2.40.0.34.5.11') or (@code='1500' and @codeSystem='1.2.40.0.34.5.11') or (@code='1600' and @codeSystem='1.2.40.0.34.5.11') or (@code='1700' and @codeSystem='1.2.40.0.34.5.11') or (@code='1800' and @codeSystem='1.2.40.0.34.5.11') or (@code='1900' and @codeSystem='1.2.40.0.34.5.11') or (@code='18725-2' and @codeSystem='2.16.840.1.113883.6.1')]]]/hl7:serviceEvent/hl7:performer[hl7:templateId[@root='1.3.6.1.4.1.19376.1.3.3.1.7']]/hl7:templateId"
         id="tmp-r-762256-392107-637760-535997">
      <assert role="error"
              see="http://elga.art-decor.org/elga-html-20131113T115203/tmp-1.2.40.0.34.11.4-2013-09-09T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.3.3.1.7'">(Laborbefund): @root MUSS den Wert '1.3.6.1.4.1.19376.1.3.3.1.7' haben.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.40.0.34.11.4
Context: *[hl7:templateId/@root='1.2.40.0.34.11.4']/hl7:componentOf
Item: (Laborbefund)
-->
</pattern>
